#### D.8.7.4 getRelationsRadical

Procedure from library `recover.lib` (see recover_lib).

Usage:
  getRelationsRadical(P,D,C); list P, int D, bigint C

Return:
  list K: a list of ideals; the ideals contain homogeneous polynomial relations of degree <=D between the components of the points in P

Note:
  This procedure uses random linear combination of the Veronese embeddings of all points in P to find homogeneous polynomial relations.

Example:

    LIB "recover.lib";
    ring r=(complex,50),(x,y,z),dp;
    list p1=1,-1,0.5;
    list p2=1,0,-1;
    list P=list(p1)+list(p2);
    getRelationsRadical(P,2,10**5);

See also: getRelations.

User manual for Singular version 4.4.1, 2025, generated by texi2html.